package com.namasoft.common.fieldids;

import com.namasoft.common.fieldids.newids.accounting.IdsOfJournalEntry;

public interface CommonFieldIds
{
	String ID = "id";
	String ID_CAPITAL_I = "Id";
	String CODE = "code";
	String DOCUMENT_CODE = "documentCode";
	String NAME1 = "name1";
	String NAME2 = "name2";
	String ENTITY_TYPE = "entityType";
	String ENTITY_TYPE_CAPITAL_E = "EntityType";
	String APPROVED_ELEMENT_ID = "approvedElement.id";
	String APPROVED_ELEMENT_ENTITY_TYPE = "approvedElement.entityType";
	String CURRENT_APPROVAL_CASE = "currentApprovalCase";
	String CREATION_DATE = "creationDate";
	String HIERARCHY_PATH = "hierarchyPath";
	String FULL_HIERARCHY_PATH = "fullHierarchyPath";
	String ANALYSISSET = "analysisSet";
	String SECTOR = "sector";
	String DEPARTMENT = "department";
	String BRANCH = "branch";
	String GROUP = "group";
	String TERM = "term";
	String DOCUMENT_FILE_STATUS = "documentFileStatus";
	String BOOK = "book";
	String REQUESTS = "requests";
	String LEGAL_ENTITY = "legalEntity";
	String PARENT = "parent";
	String VALUE_DATE = "valueDate";
	String COLOR_CODE = "colorCode";
	String ISSUE_DATE = "issueDate";
	String FISCAL_YEAR = "fiscalYear";
	String FISCAL_PERIOD = "fiscalPeriod";
	String REMARKS = "remarks";
	String ALT_CODE = "altCode";
	String COMMITE_BEFORE = "commitedBefore";
	String TERM_CONFIG = "termConfig";
	String TERM_CONFIG_DOT = "termConfig.";
	String CONFIG_ENTRY_VALUE = "value";
	String Basic_Module_Name = "basic";
	String Accounting_Module_Name = "accounting";
	String DRAFT_CREATED = "draftCreated";
	String FROMDOC = "fromDoc";
	String LINE_CURRENCY_ID = IdsOfJournalEntry.lines_debit_value_currency;
	String LINE_RATE_ID = IdsOfJournalEntry.lines_debit_rate;
	String NAME = "name";
	String ALIASES = "aliases";
	String GENERATION_TYPE = "generationType";
	String REFERENCE = "reference";
	String EXTRA_DATA = "extraData";
	String TRANS_ID = "transId";
	String TRANS_TYPE = "transType";
	String APCASE_ID = "apcase.id";
	String APCASE_SUMMARY = "apcase.summary";
	String SystemGeneratedCodePrefix = "systemGeneratedCodePrefix";
	String LIST_VIEW_SELECTED_IDS = "listViewSelectedIds";
	String LIST_VIEW_CRITERIA = "listViewCriteria";
	String LIST_VIEW_PAGE_IDS = "listViewPageIds";
	String CURRENT_VERSION = "currentVersion";
	String MASTER_ROW_ID = "masterRowId";
	String SLAVE_ROWS = "$slaveRows$";
	String ACTUAL_CODE = "actualCode";
	String VIEW_CAPABILITY = "viewCapability";
	String UPDATE_CAPABILITY = "updateCapability";
	String USAGE_CAPABILITY = "usageCapability";
	String Adress_Region = "contactInfo.address.region";
	String REVISED = "revised";
	String PURGED = "purged";
	String DocCategory = "docCategory";
	String REVISELEVEL = "reviseLevel";
	String FIRST_AUTHOR = "firstAuthor";
	String MAIN_FILE = "mainFile";
	String DESCRIPTOR1 = "descriptor1";
	String DESCRIPTOR2 = "descriptor2";
	String PREVENT_USAGE = "preventUsage";
	String PREVENT_USE_AS_FROMDOC = "preventUseAsFromDoc";
	String OPEN_SHIFT = "openShift";
	String REF1 = "ref1";
	String REF2 = "ref2";
	String REF3 = "ref3";
	String REF4 = "ref4";
	String REF5 = "ref5";
	String CUSTOM_VIEW_NAME = "customViewName";
	String dot_id = "." + ID;
}