package com.namasoft.contracts.common.dtos.requests;

import java.util.List;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;

import com.namasoft.common.NaMaDTO;
import com.namasoft.common.flatobjects.EntityReferenceData;
import com.namasoft.common.layout.edit.CustomizedGUIActionInfo;

@SuppressWarnings("serial")
@XmlAccessorType(XmlAccessType.PROPERTY)
public class PerformActionReq extends NaMaDTO
{
	private List<EntityReferenceData> targetRecords;
	private CustomizedGUIActionInfo actionInfo;
	public List<EntityReferenceData> getTargetRecords()
	{
		return targetRecords;
	}

	public void setTargetRecords(List<EntityReferenceData> targetRecords)
	{
		this.targetRecords = targetRecords;
	}

	public CustomizedGUIActionInfo getActionInfo()
	{
		return actionInfo;
	}

	public void setActionInfo(CustomizedGUIActionInfo actionInfo)
	{
		this.actionInfo = actionInfo;
	}
}
