package com.namasoft.common.constants;

public interface SubModuleNames extends ModuleNames
{
	String BASIC_DMS = "basic-dms";
	String BASIC_TAX_E_INVOICE = "basic-tax-e-invoice";
	String BASIC_FORMS_1_2 = "basic-forms-1-2";
	String BASIC_FORMS_3_4 = "basic-forms-3-4";
	String BASIC_FORMS_5_6 = "basic-forms-5-6";
	String BASIC_FORMS_7_8 = "basic-forms-7-8";
	String BASIC_FORMS_9_10 = "basic-forms-9-10";
	String BASIC_ADVANCED_IMPORT = "basic-advanced-import";
	String BASIC_SUBSIDIARIES_1_2 = "basic-subsidiaries-1-2";
	String BASIC_SUBSIDIARIES_3_4_5 = "basic-subsidiaries-3-4-5";
	String BASIC_WHATSAPP = "basic-whatsapp";
	String BASIC_CUSTOMER_PORTAL = "basic-customer-portal";
	String ACCOUNTING_INVESTMENT = "accounting-investment";
	String ACCOUNTING_INVESTMENT_DOCUMENTS = "accounting-investment-documents";
	String ACCOUNTING_FINANCIAL_COMMITMENT_REGULATION = "accounting-financial-commitments-regulation";
	String ACCOUNTING_ELECTRONIC_RECEIPT = "accounting-electronic-receipt";
	String ACCOUNTING_BANKS = "accounting-banks";
	String ACCOUNTING_CASHIER = "accounting-cashier";
	String ACCOUNTING_LGT = "accounting-lgt";
	String ACCOUNTING_BLC = "accounting-blc";
	String ACCOUNTING_BUDGET = "accounting-budget";
	String ACCOUNTING_LOANS = "accounting-loans";
	String FIXED_ASSETS_CUSTODY = "fixedassets-custody";
	String FIXED_ASSETS_LC = "fixedassets-lc";
	String FIXED_ASSETS_MAINTENANCE = "fixedassets-maintenance";
	String HR_PAYROLL = "humanresource-payroll";
	String HR_CAR_INSURANCE = "humanresource-car-insurance";
	String HR_ADVANCED = "humanresource-advanced";
	String HR_CAR_MANAGEMENT = "humanresource-car-management";
	String HR_TRAINING = "humanresource-training";
	String HR_HIRING = "humanresource-hiring";
	String HR_GULF_HEALTH_INSURANCE = "humanresource-gulf-health-insurance";
	String HR_GULF_SOCIAL_INSURANCE = "humanresource-gulf-social-insurance";
	String HR_GULF_VISA = "humanresource-gulf-visa";
	String HR_ATTENDANCE_IMPORT_CRON = "humanresource-attendance-import-cron";
	String SUPPLY_CHAIN_GJO = "supplychain-gjo";
	String SUPPLY_CHAIN_ASSEMBLY = "supplychain-assembly";
	String SUPPLY_CHAIN_QC_QA = "supplychain-qc-qa";
	String SUPPLY_CHAIN_LC = "supplychain-lc";
	String MANUFACTURING_MRP = "manufacturing-mrp";
	String MANUFACTURING_MOLDS = "manufacturing-molds";
	String MANUFACTURING_CARTOON_PLANNING = "manufacturing-crtn-pln";
	String REAL_ESTATE_SALES = "realestate-sales";
	String REAL_ESTATE_RENT = "realestate-rent";
	String REAL_ESTATE_AGRICULTURE_INVESTMENT = "realestate-agri-investmnent";
	String CRM_MAINTENANCE = "crm-maintenance";
	String CRM_MAINTENANCE_SERVICES = "crm-maintenance-services";
	String CRM_MAINTENANCE_MOBILE_APP = "crm-maintenance-mobile-app";
	String CRM_VISITS_MOBILE_APP = "crm-visits-mobile-app";
	String SUPPLY_CHAIN_SALES = "supplychain-sales";
	String SUPPLY_CHAIN_WAREHOUSE_MANAGEMENT_MOBILE_APP = "supplychain-warehouse-management-mobile-app";
	String SUPPLY_CHAIN_DELIVERY_QUEUES = "supplychain-delivery-queues";
	String SUPPLY_CHAIN_PURCHASES = "supplychain-purchases";
	String SUPPLY_CHAIN_INVENTORY = "supplychain-inventory";
	String SUPPLY_CHAIN_WEIGHT_SCALE = "supplychain-weight-scale";
	String BASIC_MOBILE_SHOPPING = "basic-mobile-shopping";

	//alternatives
	String BASIC_MOBILE_ESS = "basic-mobile-ess";
	String BASIC_NAMA_MOBILE = "basic-nama-mobile";

	//alternatives
	String BASIC_MOBILE_STOCK_TAKING = "basic-mobile-stocktaking";
	String SUPPLY_CHAIN_ELECTRONIC_TAKING = "supplychain-electronic-taking";

	//alternatives
	String SUPPLY_CHAIN_SALES_MOBILE_APP = "supplychain-sales-mobile-app";
	String BASIC_MOBILE_ORDERS = "basic-mobile-orders";

	String BASIC_EXTERNAL_REWARD_POINTS = "basic-external-reward-points";
	String BASIC_MOBILE_SCM_ENQUIRY = "basic-mobile-scm-enquiry";
	String CONTRACTING_QC = "contracting-qc";
	String BASIC_PAYMENT_GATEWAY = "basic-payment-gateway";
	String BASIC_ONLINE_PAYMENT = "basic-online-payment";
	String BASIC_GO_PAY_KSA_INTEGRATION = "basic-go-pay-ksa";
	String SUPPLY_CHAIN_MOBILE_SHOPPING = "supplychain-mobile-shopping";
	String SERVICE_CENTER_SUBITEMS = "srvcenter-subitems";
	String SERVICE_CENTER_SERVICE_QUEUES = "srvcenter-service-queues";
	String SERVICE_CENTER_RENTAL_ASSETS = "srvcenter-rental-assets";
	String SERVICE_CENTER_MOBILE_DELIVERY = "srvcenter-mobile-delivery";
	String BASIC_MOBILE_SHIPMENT_DELIVERY = "basic-mobile-shipment-delivery";
	String POS_CAPTAIN_ORDER = "namapos-captain-order";
	String FRM_IPS = "frm-ips";
	String MAGENTO_CENTRAL_WEB_HOOKS = "magento-central-webhooks";
}
