package com.namasoft.modules.commonbasic.contracts.details;

import com.namasoft.common.flatobjects.EntityReferenceData;
import com.namasoft.contracts.common.dtos.DTODetailLineWithAdditional;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
@SuppressWarnings("serial")
@XmlRootElement
@XmlAccessorType(XmlAccessType.PROPERTY)
public abstract class GeneratedDTOTaxAuthoritySubmissionLine extends DTODetailLineWithAdditional implements Serializable
{
	private BigDecimal finalNetValue;
	private BigDecimal netValue;
	private BigDecimal totalDiscount;
	private BigDecimal totalPrice;
	private BigDecimal totalTax1Value;
	private BigDecimal totalTax2Value;
	private BigDecimal totalTaxValue;
	private Boolean selectedLine;
	private Date valueDate;
	private EntityReferenceData doc;
	private EntityReferenceData document;
	private EntityReferenceData receiver;
	private EntityReferenceData taxConfiguration;
	private String docESignature;
	private String edocumentType;
	private String namaStyle;
	private String qrCodeBase64;
	private String sentJson;
	private String signedInvoiceBase64;
	private String statusInTaxAuthority;
	private String submissionUUID;
	private String submissionUUIDURL;
	private String taxAuthEntityStatusType;
	private String taxAuthErrors;
	private String taxAuthUUID;
	private String taxAuthUUIDURL;
	private String temporaryId;
	private String temporaryIdURL;
	private String validationResults;
	public BigDecimal getFinalNetValue()
	{
		return finalNetValue;
	}

	public BigDecimal getNetValue()
	{
		return netValue;
	}

	public BigDecimal getTotalDiscount()
	{
		return totalDiscount;
	}

	public BigDecimal getTotalPrice()
	{
		return totalPrice;
	}

	public BigDecimal getTotalTax1Value()
	{
		return totalTax1Value;
	}

	public BigDecimal getTotalTax2Value()
	{
		return totalTax2Value;
	}

	public BigDecimal getTotalTaxValue()
	{
		return totalTaxValue;
	}

	public Boolean getSelectedLine()
	{
		return selectedLine;
	}

	public Date getValueDate()
	{
		return valueDate;
	}

	public EntityReferenceData getDoc()
	{
		return doc;
	}

	public EntityReferenceData getDocument()
	{
		return document;
	}

	public EntityReferenceData getReceiver()
	{
		return receiver;
	}

	public EntityReferenceData getTaxConfiguration()
	{
		return taxConfiguration;
	}

	public String getDocESignature()
	{
		return docESignature;
	}

	public String getEdocumentType()
	{
		return edocumentType;
	}

	public String getNamaStyle()
	{
		return namaStyle;
	}

	public String getQrCodeBase64()
	{
		return qrCodeBase64;
	}

	public String getSentJson()
	{
		return sentJson;
	}

	public String getSignedInvoiceBase64()
	{
		return signedInvoiceBase64;
	}

	public String getStatusInTaxAuthority()
	{
		return statusInTaxAuthority;
	}

	public String getSubmissionUUID()
	{
		return submissionUUID;
	}

	public String getSubmissionUUIDURL()
	{
		return submissionUUIDURL;
	}

	public String getTaxAuthEntityStatusType()
	{
		return taxAuthEntityStatusType;
	}

	public String getTaxAuthErrors()
	{
		return taxAuthErrors;
	}

	public String getTaxAuthUUID()
	{
		return taxAuthUUID;
	}

	public String getTaxAuthUUIDURL()
	{
		return taxAuthUUIDURL;
	}

	public String getTemporaryId()
	{
		return temporaryId;
	}

	public String getTemporaryIdURL()
	{
		return temporaryIdURL;
	}

	public String getValidationResults()
	{
		return validationResults;
	}

	public void setDoc(EntityReferenceData doc)
	{
		this.doc = doc;
	}

	public void setDocESignature(String docESignature)
	{
		this.docESignature = docESignature;
	}

	public void setDocument(EntityReferenceData document)
	{
		this.document = document;
	}

	public void setEdocumentType(String edocumentType)
	{
		this.edocumentType = edocumentType;
	}

	public void setFinalNetValue(BigDecimal finalNetValue)
	{
		this.finalNetValue = finalNetValue;
	}

	public void setNamaStyle(String namaStyle)
	{
		this.namaStyle = namaStyle;
	}

	public void setNetValue(BigDecimal netValue)
	{
		this.netValue = netValue;
	}

	public void setQrCodeBase64(String qrCodeBase64)
	{
		this.qrCodeBase64 = qrCodeBase64;
	}

	public void setReceiver(EntityReferenceData receiver)
	{
		this.receiver = receiver;
	}

	public void setSelectedLine(Boolean selectedLine)
	{
		this.selectedLine = selectedLine;
	}

	public void setSentJson(String sentJson)
	{
		this.sentJson = sentJson;
	}

	public void setSignedInvoiceBase64(String signedInvoiceBase64)
	{
		this.signedInvoiceBase64 = signedInvoiceBase64;
	}

	public void setStatusInTaxAuthority(String statusInTaxAuthority)
	{
		this.statusInTaxAuthority = statusInTaxAuthority;
	}

	public void setSubmissionUUID(String submissionUUID)
	{
		this.submissionUUID = submissionUUID;
	}

	public void setSubmissionUUIDURL(String submissionUUIDURL)
	{
		this.submissionUUIDURL = submissionUUIDURL;
	}

	public void setTaxAuthEntityStatusType(String taxAuthEntityStatusType)
	{
		this.taxAuthEntityStatusType = taxAuthEntityStatusType;
	}

	public void setTaxAuthErrors(String taxAuthErrors)
	{
		this.taxAuthErrors = taxAuthErrors;
	}

	public void setTaxAuthUUID(String taxAuthUUID)
	{
		this.taxAuthUUID = taxAuthUUID;
	}

	public void setTaxAuthUUIDURL(String taxAuthUUIDURL)
	{
		this.taxAuthUUIDURL = taxAuthUUIDURL;
	}

	public void setTaxConfiguration(EntityReferenceData taxConfiguration)
	{
		this.taxConfiguration = taxConfiguration;
	}

	public void setTemporaryId(String temporaryId)
	{
		this.temporaryId = temporaryId;
	}

	public void setTemporaryIdURL(String temporaryIdURL)
	{
		this.temporaryIdURL = temporaryIdURL;
	}

	public void setTotalDiscount(BigDecimal totalDiscount)
	{
		this.totalDiscount = totalDiscount;
	}

	public void setTotalPrice(BigDecimal totalPrice)
	{
		this.totalPrice = totalPrice;
	}

	public void setTotalTax1Value(BigDecimal totalTax1Value)
	{
		this.totalTax1Value = totalTax1Value;
	}

	public void setTotalTax2Value(BigDecimal totalTax2Value)
	{
		this.totalTax2Value = totalTax2Value;
	}

	public void setTotalTaxValue(BigDecimal totalTaxValue)
	{
		this.totalTaxValue = totalTaxValue;
	}

	public void setValidationResults(String validationResults)
	{
		this.validationResults = validationResults;
	}

	public void setValueDate(Date valueDate)
	{
		this.valueDate = valueDate;
	}

}
